<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Hedwix_Outreach
 */

get_header(); ?>

<div class="container">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<div class="blog-archive-wrapper">
				<?php if ( have_posts() ) : ?>

					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php
						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );
						?>

					<?php endwhile; ?>

					<?php
					/**
					 * Hook - hedwix_outreach_action_posts_navigation.
					 *
					 * @hooked: hedwix_outreach_custom_posts_navigation - 10
					 */
					do_action( 'hedwix_outreach_action_posts_navigation' ); ?>

				<?php else : ?>

					<?php get_template_part( 'template-parts/content', 'none' ); ?>

				<?php endif; ?>
			</div><!-- .blog-archive-wrapper -->
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
		/**
		 * Hook - hedwix_outreach_action_sidebar.
		 *
		 * @hooked: hedwix_outreach_add_sidebar - 10
		 */
		do_action( 'hedwix_outreach_action_sidebar' );
	?>
</div><!-- .container -->

<?php get_footer(); ?>
