<?php
/**
 * Template part for displaying a single post
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Hedwix_Outreach
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


<div class="entry-container entry-container-single">
  <?php if ( is_singular( 'post' ) ) : ?>
    <header class="entry-header">
      <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>      
      <p class="entry-meta">
        <?php hedwix_outreach_posted_on_custom(); ?>
      </p><!-- .entry-meta -->
    </header><!-- .entry-header -->
  <?php endif ?>
  <div class="featured-image">
    <?php
      /**
       * Hook - hedwix_outreach_single_image.
       *
       * @hooked hedwix_outreach_add_image_in_single_display -  10
       */
      do_action( 'hedwix_outreach_single_image' );
    ?>
  </div><!-- .blog-featured-image -->
  <div class="entry-content">
    <?php the_content(); ?>
    <?php
      wp_link_pages( array(
        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'hedwix-outreach' ),
        'after'  => '</div>',
      ) );
    ?>
  </div><!-- .entry-content -->
</div><!-- .entry-container -->

<footer class="entry-footer">
  <?php hedwix_outreach_entry_footer(); ?>
</footer><!-- .entry-footer -->
<?php
  /**
   * Hook - hedwix_outreach_author_bio.
   *
   * @hooked hedwix_outreach_add_author_bio_in_single -  10
   */
  do_action( 'hedwix_outreach_author_bio' );
?>

</article><!-- #post-## -->

